Let members add their own MCP servers
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/connections/inbound/http_mcp.go`.
/v1/mcp-servers/settingsRequires an authenticated tenant principal. Generated from the production route registered in internal/features/connections/inbound/http_mcp.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/mcp-servers/settings" \ -H "Content-Type: application/json" \ -d '{}'{}Read who may add MCP servers
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/connections/inbound/http_mcp.go`.
Describe the calling credential
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/calleridentity/inbound/http.go`.